# APEX Date Dropper

[![APEX Community](https://cdn.rawgit.com/Dani3lSun/apex-github-badges/78c5adbe/badges/apex-community-badge.svg)](https://github.com/Dani3lSun/apex-github-badges)
[![APEX Plugin](https://cdn.rawgit.com/Dani3lSun/apex-github-badges/b7e95341/badges/apex-plugin-badge.svg)](https://github.com/Dani3lSun/apex-github-badges)
[![APEX 5.1](https://cdn.rawgit.com/Dani3lSun/apex-github-badges/88f0a6ed/badges/apex-5_1-badge.svg)](https://github.com/Dani3lSun/apex-github-badges)
[![APEX Built with Love](https://cdn.rawgit.com/Dani3lSun/apex-github-badges/7919f913/badges/apex-love-badge.svg)](https://github.com/Dani3lSun/apex-github-badges)

An Oracle APEX Item Plug-in based on the jQuery UI datepicker Datedropper3.

## Demo

[Run Demo](https://apex.oracle.com/pls/apex/f?p=OraCoolAPEX:8)

## Preview

![Preview](/preview.gif?raw=true "Preview")

### Component-Level Custom Attributes

* Default Date: This option offers the possibility to set a starting date. Please note that you must follow this specific format (mm-dd-yyyy) to allow the matching to recognize month, day and year (`Default: CURRENT DATE`).
* Disabled Days: This option offers the possibility to set a string of disabled days. So, separete all days by comma and the picker will convert them into an array. Please note that you must follow this specific format (mm/dd/yyyy) to allow the matching to recognize month, day and year (`Default: false`).
* Init Set: This option changes the input value automatically, by default. Set to false to prevent it (`Default: true`).
* Large Mode: This option enables to switch the size of the picker by clicking on the icon at the bottom or clicking on the day block (`Default: false`).
* Large Default: If set to true, this option shows the large view by default (`Default: false`).
* Lock: This option sets the date limit based on the assigned variable. If you set to "from", you can't select a date earlier than the current date. Opposed to this behavior, if it's set to "to", you can not select a date after the current date (`Default: false`).
* Jump: It groups years based on the value set(multiple). This option is enabled when you click on the year block, to accellerate the transition between years (`Default: 10`).
* Max Year: The highest year that the control will allow (`Default: CURRENT YEAR`).
* Min Year: The lowest year that the control will allow (`Default: 1970`).
* Modal: If this option is set to true, the picker will be displayed centered, with a dark overlay in background (`Default: false`).

### Application-Level Custom Attributes

* Format: The date format the picker will write on the selected input (`Default: "m-d-Y"`).

| Key | Description              | Result  |
|:---:|--------------------------|---------|
|  M  | Short month              | Jan     |
|  F  | Long month               | January |
|  m  | Numeric month            | 01-12   |
|  n  | Non-padded numeric month | 1-12    |
|  Y  | Long numeric year        | 2015    |
|  d  | Padded numeric day       | 01-31   |
|  j  | Non-Padded Numeric day   | 1-31    |
|  D  | Short day-of-week        | Sun     |
|  l  | Long day-of-week         | Sunday  |
* FX: If set to true, the picker will run an initial state animation and all user changes are animated (`Default: true`).
* FX Mobile: Animations could be very slow on some older smartphones. To prevent this, set this option to false to disable animations on any mobile viewport (`Default: true`).
* Lang: Languages used for months and days of the week (`Default: en`).

| Value | Result     |
|:-----:|------------|
| ar    | Arabic     |
| it    | Italian    |
| hu    | Hungarian  |
| gr    | Greek      |
| es    | Espanol    |
| da    | Dansk      |
| de    | Deutsch    |
| nl    | Dutch      |
| fr    | Francais   |
| pl    | Polski     |
| pt    | Portuguese |
| si    | Slovenian  |
| uk    | Ukrainian  |
| ru    | Russian    |
| tr    | Turkish    |
| ko    | Korean     |
* Theme: Set the name of style that you have assigned on the stylesheet generated by the theme generator.

| Options    |
|------------|
| Vita       |
| Vita-Dark  |
| Vita-Red   |
| Vita-Slate |
* Translate Mode: If it's set to true, you can change the language by clicking on the icon at the bottom (`Default: false`).

## Versioning

[Semantic Versioning](https://semver.org/)

(`MAJOR.MINOR.PATCH`)

* MAJOR version increments when breaking backwards compatibility
* MINOR version increments when adding new functionality in a backwards-compatible manner
* PATCH version increments when fixing bugs and other miscellaneous changes

## License

![MIT](/LICENSE)